/* superview/superviewbase.h        */
/* Version    : 9.1                 */
/* Date       : 24.09.1994          */
/* Written by : Andreas R. Kleinert */

#ifndef SUPERVIEW_SUPERVIEWBASE_H
#define SUPERVIEW_SUPERVIEWBASE_H

#ifndef SUPERVIEW_SUPERVIEW_H
#include <superview/superview.h>
#endif /* SUPERVIEW_SUPERVIEW_H */

#ifndef EXEC_LISTS
#include <exec/lists.h>
#endif /* EXEC_LISTS */

#ifndef EXEC_LIBRARIES
#include <exec/libraries.h>
#endif /* EXEC_LIBRARIES_H */

#ifndef SVDRIVERS_SVDRIVERS_H
#include <svdrivers/svdrivers.h>
#endif /* SVDRIVERS_SVDRIVERS_H */

   /*
      All entries are READ-ONLY.
      The private entries should NEVER be accessed.
   */

struct SuperViewBase
{
 struct Library         svb_LibNode;
 APTR                   svb_SegList;
 struct ExecBase       *svb_SysBase;
 struct DosLibrary     *svb_DOSBase;
 struct IntuitionBase  *svb_IntuitionBase;
 struct GfxBase        *svb_GfxBase;

  /* next have been added with V2 : */

 struct Library        *svb_IFFParseBase;  /* may be NULL */
 struct Library        *svb_DataTypesBase; /* may be NULL */

 struct List            svb_SVObjectList;  /* see SVL_GetSVObjectList()      */
 ULONG                  svb_Private1;      /* DO NOT ACCESS */
 ULONG                  svb_Private2;      /* DO NOT ACCESS */
 ULONG                  svb_Private3;      /* DO NOT ACCESS */

  /* next have been added with V3 : */

 struct List            svb_SVDriverList;  /* see SVL_GetSVDriverList()      */
 struct SVD_DriverNode *svb_GlobalDriver;  /* may be NULL for Default-Driver */

  /* next have been added with V4 : */

 struct Library        *svb_UtilityBase;
 struct SVSupportBase  *svb_SVSupportBase;

  /* next have been added with V9 : */

 struct List            svb_SVOperatorList; /* see SVL_GetSVOperatorList()   */
};

#endif /* SUPERVIEW_SUPERVIEWBASE_H */
